lib64rpm-devel-5.4.10-74-rosa2016.1.x86_64.rpm


Advertisement

Description

lib64rpm-devel - Development files for applications which will manipulate RPM packages

Property Value
Distribution ROSA 2016.1
Repository ROSA Main x86_64
Package filename lib64rpm-devel-5.4.10-74-rosa2016.1.x86_64.rpm
Package name lib64rpm-devel
Package version 5.4.10
Package release 74-rosa2016.1
Package architecture x86_64
Package type rpm
Category Development/C
Homepage http://rpm5.org/
License LGPLv2.1+
Maintainer -
Download size 94.53 KB
Installed size 459.26 KB
This package contains the RPM C library and header files. These
development files will simplify the process of writing programs
which manipulate RPM packages and databases and are intended to make
it easier to create graphical package managers or any other tools
that need an intimate knowledge of RPM packages in order to function.
This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

Alternatives

Package Version Architecture Repository
lib64rpm-devel-5.4.10-100.gite2de-rosa2016.1.x86_64.rpm 5.4.10 x86_64 ROSA Main Updates
lib64rpm-devel - - -

Requires

Name Value
devel(libacl(64bit)) -
devel(libaugeas(64bit)) -
devel(libbeecrypt(64bit)) -
devel(libbz2(64bit)) -
devel(libcpuinfo(64bit)) -
devel(libdb-5.2(64bit)) -
devel(libdb_sql-5.2(64bit)) -
devel(libelf(64bit)) -
devel(libgcc_s(64bit)) -
devel(libgomp(64bit)) -
devel(libkeyutils(64bit)) -
devel(liblzma(64bit)) -
devel(libmagic(64bit)) -
devel(libneon(64bit)) -
devel(libossp-uuid(64bit)) -
devel(libpcre(64bit)) -
devel(libpcreposix(64bit)) -
devel(libpopt(64bit)) -
devel(libsyck(64bit)) -
devel(libz(64bit)) -
lib64rpm5.4 == 1:5.4.10-74:2016.1

Provides

Name Value
devel(librpm-5.4(64bit)) -
devel(librpmbuild-5.4(64bit)) -
devel(librpmconstant-5.4(64bit)) -
devel(librpmdb-5.4(64bit)) -
devel(librpmio-5.4(64bit)) -
devel(librpmmisc-5.4(64bit)) -
lib64rpm-devel == 1:5.4.10-74:2016.1
lib64rpmconstant-devel == 1:5.4.10-74:2016.1
pkgconfig(rpm) == 5.4.10
rpm-devel == 1:5.4.10-74:2016.1

Obsoletes

Name Value
lib64rpmconstant-devel < 1:5.4.10-74:2016.1

Download

Type URL
Mirror mirror.rosalab.ru
Binary Package lib64rpm-devel-5.4.10-74-rosa2016.1.x86_64.rpm
Source Package rpm-5.4.10-74.src.rpm

Install Howto

  1. Enable ROSA Main repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64rpm-devel rpm package:
    # urpmi lib64rpm-devel

Files

Path
/usr/include/rpm/argv.h
/usr/include/rpm/mire.h
/usr/include/rpm/pkgio.h
/usr/include/rpm/rpm46compat.h
/usr/include/rpm/rpm4compat.h
/usr/include/rpm/rpmbf.h
/usr/include/rpm/rpmbuild.h
/usr/include/rpm/rpmcb.h
/usr/include/rpm/rpmcli.h
/usr/include/rpm/rpmconstant.h
/usr/include/rpm/rpmdb.h
/usr/include/rpm/rpmds.h
/usr/include/rpm/rpmevr.h
/usr/include/rpm/rpmfi.h
/usr/include/rpm/rpmgi.h
/usr/include/rpm/rpmio.h
/usr/include/rpm/rpmiotypes.h
/usr/include/rpm/rpmlog.h
/usr/include/rpm/rpmmacro.h
/usr/include/rpm/rpmns.h
/usr/include/rpm/rpmpgp.h
/usr/include/rpm/rpmps.h
/usr/include/rpm/rpmrc.h
/usr/include/rpm/rpmspec.h
/usr/include/rpm/rpmsw.h
/usr/include/rpm/rpmtag.h
/usr/include/rpm/rpmte.h
/usr/include/rpm/rpmts.h
/usr/include/rpm/rpmtypes.h
/usr/include/rpm/rpmversion.h
/usr/include/rpm/rpmzlog.h
/usr/include/rpm/yarn.h
/usr/lib64/librpm.so
/usr/lib64/librpmbuild.so
/usr/lib64/librpmconstant.so
/usr/lib64/librpmdb.so
/usr/lib64/librpmio.so
/usr/lib64/librpmmisc.so
/usr/lib64/pkgconfig/rpm.pc

Changelog

2017-01-24 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:5.4.10-74
- (300bba9) Fix fix-fsanitize-integer patch (drop old line)
- (Andrey Bondrov: b1b5b91) Backport upstream commit to fix -fsanitize=integer issues
- (Andrey Bondrov: 6273d3a) Backport upstream commit to fix sizeof argument in rpm/lib/depends.c
2017-01-20 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:5.4.10-73
- (9b3d866) Drop unversioned Obsoletes for RPM4 packages that we don't have for many years
2016-10-24 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:5.4.10-72
- (4b69272) Change _appdatadir from /usr/share/appdata to /usr/share/metainfo
2016-10-13 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:5.4.10-71
- (36393fe) Fix QML Provides generation
- (36393fe) Disable QML Requires generation (until we generate all Provides)
2016-10-13 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:5.4.10-70
- (ae9d33b) Fix QML Requires generation
2016-10-12 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:5.4.10-69
- (da0747a) Update files (add qmldeps.sh)
- (Andrey Bondrov: 0abf39a) Add QML dependency generator
2016-10-12 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:5.4.10-68
- (f80d4a2) Add _appdatadir macro definition
2016-09-14 - Denis Silakov <dsilakov@gmail.com> 1:5.4.10-67
- (7277dda) Rebuild
2016-09-06 - Denis Silakov <denis.silakov@rosalab.ru> 1:5.4.10-65
- (49cf8b3) Bump release
2016-08-31 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:5.4.10-64
- (6d110cf) Bump release

See Also

Package Description
lib64rpm-static-devel-5.4.10-74-rosa2016.1.x86_64.rpm Static libraries for rpm development
lib64rpm5.4-5.4.10-74-rosa2016.1.x86_64.rpm Libraries used by rpm
lib64rrd8-1.6.0-3-rosa2016.1.x86_64.rpm RRDTool - round robin database shared libraries
lib64rrdtool-devel-1.6.0-3-rosa2016.1.x86_64.rpm Development libraries and headers for lib64rrd8
lib64rsvg-gir2.0-2.40.16-3-rosa2016.1.x86_64.rpm GObject Introspection interface description for librsvg
lib64rsvg2-devel-2.40.16-3-rosa2016.1.x86_64.rpm Libraries and include files for developing with librsvg
lib64rsvg2_2-2.40.16-3-rosa2016.1.x86_64.rpm Raph's SVG library
lib64rsync-devel-1.0.0-3-rosa2016.1.x86_64.rpm Headers for librsync
lib64rsync2-1.0.0-3-rosa2016.1.x86_64.rpm Rsync libraries
lib64rtm4-4.14.3-6-rosa2016.1.x86_64.rpm kdeplasma-addons library
lib64rtmp-devel-2.3-10-rosa2016.1.x86_64.rpm Development files for librtmp
lib64rtmp0-2.3-10-rosa2016.1.x86_64.rpm Shared library librtmp
lib64rubberband-devel-1.8.1-5-rosa2016.1.x86_64.rpm Development files for rubberband
lib64rubberband2-1.8.1-5-rosa2016.1.x86_64.rpm Audio time-stretching and pitch-shifting library
lib64ruby2.1-2.1.10-2-rosa2016.1.x86_64.rpm Shared main library for ruby 2.1
Advertisement
Advertisement